V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
helee9199
V2EX  ›  macOS

brew 下载的最新的 svn 无法正常使用。有碰到的吗?

  •  
  •   helee9199 · 153 天前 · 883 次点击
    这是一个创建于 153 天前的主题,其中的信息可能已经有所发展或是发生改变。

    前情提要 https://www.v2ex.com/t/992595
    本来发在问答区,不知怎么就跑 subversion 区了。那边没人。
    重装完系统后 brew 安装 svn 无法正常使用,昨天折腾了一天无果。
    朋友才买的 m3 macos14 请他安装测试 也是一样的结果。
    猜测方向是 brew 安装的 svn 的问题。
    因为我 21 年买电脑后使用至重装系统前都是好的。
    尝试用 brew tap 安装历史版本,但是装完 svn 无法运行,提示少文件。
    真的是全网都搜了,没找到解决办法。
    不知道能不能拷贝别人都来使用。

    19 条回复    2024-01-24 09:38:25 +08:00
    Retas
        1
    Retas  
       153 天前
    svn, version 1.14.2 (r1899510) compiled Apr 2 2022, 11:38:36 on arm-apple-darwin23.0.0
    M1 MBP 14.1.1 正常使用,看描述盲猜是配置问题
    helee9199
        2
    helee9199  
    OP
       153 天前
    @Retas 到底是什么配置呢?之前这么装完就能用了。
    我现在也整迷了 svn list https://svn.code.sf.net/p/netpbm/code/stable 这个能正常执行
    但是我们公司的就不行,可是公司的配置这么多年也一直都是那个配置没变过呀。windows 下正常操作。

    我现在能发现的区别就是 https://svn.code.sf.net/p/netpbm/code/stable 这个贴浏览器后 https 变成了 http
    我们公司的地址贴浏览器会打不开, 去掉 s 状态会变另外一个 也打不开。不知道能不能让服务器这个访问方式调整一下
    zerolinck
        3
    zerolinck  
       153 天前
    前两天刚刚安装的,m1 mbp 正常,talk is cheap, show the error message

    ➜ Downloads svn --version
    svn ,版本 1.14.2 (r1899510)
    编译于 Oct 23 2023 ,01:45:34 在 arm-apple-darwin22.6.0
    helee9199
        4
    helee9199  
    OP
       153 天前
    @zerolinck 在自己电脑上装了 svn 服务器
    测试发现,tls 如果设置 1.2 1.3 就可正常访问,如果也改为 1.0 就会出现一样的报错
    尝试请公司调整一下试试看
    奇怪了就.这个配置这么多年一直没变过 windows 都可以正常访问
    怎么 mac 这次重装完以后就是不行.
    Retas
        5
    Retas  
       153 天前 via iPhone
    @helee9199 #2 把报错信息扔给 GPT4 看看
    gesse
        6
    gesse  
       153 天前
    xuelu520
        7
    xuelu520  
       153 天前
    上报错提示信息
    helee9199
        8
    helee9199  
    OP
       152 天前
    @xuelu520 我有在前情提要里有完整的
    svn: E170013: Unable to connect to a repository at URL 'https://项目地址'
    svn: E120171: 执行上下文错误: An error occurred during SSL communication
    目前得到的信息就是公司 svn 服务器还是 09 年部署的 1.6.6 版 估计 TLSv1
    然后目前 brew 安装的 svn 可能不支持 TLSv1 了。尝试了搜索到的方法,都未能成功。
    21 年时 brew 安装的是可以使用的。 我有试着用 brew tap 安装历史版本
    其中有个和 ssl 相关的 openssl 依赖,当时是 1.1 的版本,可用安装历史版本安装下来得却是 3.x 的版本 怀疑是这个问题。
    julyclyde
        9
    julyclyde  
       152 天前
    哦。那你装个 stunnel 或者 nginx 转一下协议呗
    helee9199
        10
    helee9199  
    OP
       152 天前
    @julyclyde 你是说装到服务器 转协议?
    julyclyde
        11
    julyclyde  
       152 天前
    @helee9199 装到服务器或者客户端都可以啊。只要在 svn 客户端和服务器中间就行了
    jingcoco
        12
    jingcoco  
       152 天前
    我也不行..... 然后就不用命令行了, 装了个 客户端 smartsvn .还不能用最新版, 最新版强制缴费....
    helee9199
        13
    helee9199  
    OP
       152 天前
    @jingcoco 嗯 我让两个朋友试过 一个是最新版 mac M3 的 一个是 m1 的系统还是 12 最早的系统都没更新,装的 svn 都不行。
    @julyclyde 那我弄到客户端把。 这两个哪个操作简单点,我都还没怎么玩过。
    Jvaeyhcd
        14
    Jvaeyhcd  
       101 天前
    我也遇到了相同的问题,公司非得用 svn ,我感觉 svn 非常落后了啊。
    svn 版本信息:
    svn --version
    svn, version 1.14.3 (r1914484)
    compiled Dec 9 2023, 13:27:10 on arm-apple-darwin23.2.0

    Copyright (C) 2023 The Apache Software Foundation.
    This software consists of contributions made by many people;
    see the NOTICE file for more information.
    Subversion is open source software, see http://subversion.apache.org/

    The following repository access (RA) modules are available:

    * ra_svn : Module for accessing a repository using the svn network protocol.
    - with Cyrus SASL authentication
    - handles 'svn' scheme
    * ra_local : Module for accessing a repository on local disk.
    - handles 'file' scheme
    * ra_serf : Module for accessing a repository via WebDAV protocol using serf.
    - using serf 1.3.10 (compiled with 1.3.10)
    - handles 'http' scheme
    - handles 'https' scheme

    The following authentication credential caches are available:

    * Mac OS X Keychain

    系统信息:
    macOS 14.1.2 (Apple M1)

    运行 svn 的相关命令都报错如下:

    svn info
    svn: E200029: Couldn't perform atomic initialization
    svn: E200030: SQLite compiled for 3.43.2, but running with 3.39.5
    helee9199
        15
    helee9199  
    OP
       101 天前
    @Jvaeyhcd 无解
    最后说服 改用 git 了。
    目前已经迁移一部分了。
    你可以试试看能不能说服,svn 迁移 git 可以带日志过去的。
    viquuu
        16
    viquuu  
       86 天前
    @Jvaeyhcd 同遇到这个问题,不知道是 svn 1.14.3 这个版本的问题
    viquuu
        17
    viquuu  
       85 天前
    昨天把系统更新到了 14.3 了,终于可以用了。
    helee9199
        18
    helee9199  
    OP
       85 天前
    @viquuu macos 的锅? 不过我们已经迁移到 git 了。。
    helee9199
        19
    helee9199  
    OP
       85 天前
    @viquuu 感觉应该也不是,因为我之前折腾的时候 重装过系统,12 和 14 都不行。
    不过现在解决了也是好事
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   984 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 20:05 · PVG 04:05 · LAX 13:05 · JFK 16:05
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.